Create connect link to reauthorize activation Public Preview
Creates an activation Connect Link that can be used to reauthorize the destination associated with this activation. Read more on how to use Connect Links in our Activations in Powered by Fivetran How-to Guides.
Request schema
Path parameters
ID of the activation
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this URL.
POST /api/v2/activations/{activation_id}/activation_connect_links HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Content-Type: application/json Host: app.getcensus.com Content-Length: 67 { "redirect_uri": "https://your-app.example.com/oauth/callback" }
Responses
201
Outcome of the operation.
The unique ID associated with the Connect Link.
The type of activation to be managed by this link.
The date and time when the Connect Link will expire.
A boolean value indicating whether the Connect Link has expired or not.
A boolean value indicating whether the Connect Link has been revoked or not.
The authorization URL that you will provide to end-users that begins the Fivetran-hosted flow to authorize an activation into your workspace.
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this URL.
The unique identifier of the group associated with this Connect Link.
400
HTTP status code.
Description of the validation error.
401
HTTP status code.
404
HTTP status code.
{ "status": "success", "data": { "id": 469, "type": "hubspot", "expiration": "2027-09-28T23:42:47.239Z", "expired": false, "revoked": false, "uri": "https://app.fivetran.com/pbc?auth=expiring_auth_key", "redirect_uri": "https://your-app.example.com/oauth/callback", "group_id": "wandering_aimlessly" } }